<?
session_start();
define (__TRACE_ENABLED__, false);
define (__DEBUG_ENABLED__, false);
//$empreact=$_SESSION['empresau'];
include ("bases.php");
include('class.ezpdf.php');
$config=new DB();
$countg = new DB();
global $pdf;

$SUP=1028;
$IZQ=-10;
$ms=60;
$mi=60;
$miz=60;
$mder=60;

if($HTTP_GET_VARS["manifiesto"])
{
$manifiesto=$HTTP_GET_VARS["manifiesto"];
$tabla=$HTTP_GET_VARS["tabla"];
$SQL="select m.nombre, m.id_sucursal, g.ciudad from $tabla as g inner join sucursales as m on g.id_sucursal=m.id_sucursal where g.id_manifiesto='".$manifiesto."'";
$bd = new DB();
$bd->query($SQL);
$plan=$bd->getfila($SQL);
$SQL="select count(*) from $tabla where id_manifiesto='".$manifiesto."'";
$bd = new DB();
$bd->query($SQL);
$cantguias=$bd->getfila($SQL);
$SQL="SELECT logo FROM info_empresa";
$bd = new DB();
$bd->query($SQL);
$img_logo=$bd->getfila($SQL);
$img_logo="../logos/".$img_logo[0];
	if($cantguias[0]<=0)
	{
	echo '<BR><BR><BR><BR><div class="alertas" align="center">NO HAY GUIAS EN LA <BR> manifiesto No '.$manifiesto.'</div>';
	}
	else
	{
	/*$SQL3="SELECT DISTINCT(idorder) from guide where manifiesto='$manifiesto'";
    $countg->query($SQL3);
    $tempo1=$countg->numfilas();
	if($tempo1>=2){
		$numpaginas=2;
	}*/
	//$numpaginas=intval($tempo1/9,10);
	//$numpaginasfloat=$tempo1/9;
	//$comparar=$numpaginasfloat-$numpaginas;
	//$todos=$tempo1." ".$numpaginas." ".$numpaginasfloat." ".$comparar;
	
			/*if($comparar>0)
			{
			$numpaginas=$numpaginas+1;
			}
			else
			{
			}*/
			$pag=1;
			
			/*$i=1;
			$supact=$SUP;
			$izqact=$IZQ;
			$x1=$IZQ;
			$y1=$SUP;
			*/
				
	$SQL_plan="select * from manifiestos where id_manifiesto='".$manifiesto."'";
	$bd_plan = new DB();
	$bd_plan->query($SQL_plan);
	$fecha=$bd_plan->getfila($SQL_plan);
	
	$pdf= new Cezpdf("letter","landscape");
	$pdf->ezSetMargins($ms,$mi,$miz,$mder);
	$pdf->selectFont('./Helvetica-Bold.afm');
	
	/*while($pag<=$numpaginas)//while($pag<=$numpaginas)
			{
			
			if($pag==1)
			{
			
			}
			else
			{
			$pdf->ezNewPage();
			}*/
	//
					   //('imagen','left/rigth','top/botton','width','heigth')
	// IMAGEN IZQUIERDA //
	$pdf->addJpegFromFile($img_logo,235,550,78,39);
	// IMAGEN DERECHA //
	$pdf->addJpegFromFile($img_logo,660,550,78,39);
	$titulo1='manifiesto No. '.$manifiesto; 
	$titulo2='ENTREGADA A:'.$plan[0].' ('.$plan[1].') ';
	$titulo3='CANTIDAD: '.$cantguias[0];
	$titulo4='FECHA: '.$fecha[1];
	$titulo6='CIUDAD: '.$plan[2];
	$titulo7="RELACION DE GUIAS DEPARTAMENTO OPERACIONES";
	$pdf->ezText('',12,array('justification'=>'left'));
	// manifiesto IZQUIERDA //
	$pdf->addtext(30,565,14,$titulo1,360,0);
	$pdf->addtext(30,550,10,$titulo2,360,0);
	$pdf->addtext(30,540,10,$titulo4,360,0);
	$pdf->addtext(30,530,10,$titulo6,360,0);
	$pdf->addtext(30,520,10,$titulo3,360,0);
	$pdf->addtext(45,494,12,$titulo7,360,0);
	
	// manifiesto DERECHA //
	$pdf->addtext(435,565,14,$titulo1,360,0);
	$pdf->addtext(435,550,10,$titulo2,360,0);
	$pdf->addtext(435,540,10,$titulo4,360,0);
	$pdf->addtext(435,530,10,$titulo6,360,0);
	$pdf->addtext(435,520,10,$titulo3,360,0);
	$pdf->addtext(440,494,12,$titulo7,360,0);
	
	//$pdf->ezText('',12,array('justification'=>'left'));
	//$pdf->ezText('',12,array('justification'=>'left'));
	$SQL="select c.cod_cliente, c.nombre, o.orden, o.producto, count(guia) from $tabla as g inner join ordenes as o on g.orden=o.orden inner join clientes as c on o.id_cliente=c.id_cliente where g.id_manifiesto='".$manifiesto."' group by g.orden";
	$bd->query($SQL);
	$i=0;
	// left/rigth,top/bottom,width,heigth 438//
	$pdf->rectangle (433,475,350,15);
	$pdf->rectangle (28,475,350,15);
	$campo1="COD CLI";
	$campo2="NOMBRE CLIENTE";
	$campo3="ORDEN";
	$campo4="PRODUCTO";
	$campo5="N GUIAS";
	$campo6="ENT";
	$campo7="DEV";
	
	// CAMPO CODIGO CLIENTE //
	$pdf->line(473,490,473,475);
	$pdf->addtext(436,479,8,$campo1,360,0);
	$pdf->line(68,490,68,475);
	$pdf->addtext(30,479,8,$campo1,360,0);
	
	// CAMPO NOMBRE CLIENTE //
	$pdf->line(558,490,558,475);
	$pdf->addtext(478,479,8,$campo2,360,0);
	$pdf->line(153,490,153,475);
	$pdf->addtext(73,479,8,$campo2,360,0);
	
	// CAMPO ORDEN //
	$pdf->line(595,490,595,475);
	$pdf->addtext(562,479,8,$campo3,360,0);
	$pdf->line(192,490,192,475);
	$pdf->addtext(158,479,8,$campo3,360,0);
	
	// CAMPO PRODUCTO //
	$pdf->line(670,490,670,475);
	$pdf->addtext(600,479,8,$campo4,360,0);
	$pdf->line(267,490,267,475);
	$pdf->addtext(196,479,8,$campo4,360,0);
	
	// CAMPO NUMERO DE GUIA //
	$pdf->line(710,490,710,475);
	$pdf->addtext(673,479,8,$campo5,360,0);
	$pdf->line(308,490,308,475);
	$pdf->addtext(270,479,8,$campo5,360,0);
	
	
	$pdf->line(745,490,745,475);
	$pdf->addtext(720,479,8,$campo6,360,0);
	$pdf->line(343,490,343,475);
	$pdf->addtext(318,479,8,$campo6,360,0);
	
	//$pdf->line(563,490,563,475);
	$pdf->addtext(755,479,8,$campo7,360,0);
	$pdf->addtext(353,479,8,$campo7,360,0);
	
	$init=464;
	$lh=475;
	$j=0;
	$tam_pag=20;
	$lineas=475;
		while($datos=$bd->getfila())
		{
		// RIGTH LINES //
		$pdf->line(423,$lineas,423,$lh);
		$pdf->line(473,$lineas,473,$lh);
		$pdf->line(558,$lineas,558,$lh);
		$pdf->line(595,$lineas,595,$lh);
		$pdf->line(670,$lineas,670,$lh);
		$pdf->line(710,$lineas,710,$lh);
		$pdf->line(745,$lineas,745,$lh);
		$pdf->line(783,$lineas,783,$lh);
		
		// LEFT LINES //
		$pdf->line(28,$lineas,28,$lh);
		$pdf->line(68,$lineas,68,$lh);
		$pdf->line(153,$lineas,153,$lh);
		$pdf->line(192,$lineas,192,$lh);
		$pdf->line(267,$lineas,267,$lh);
		$pdf->line(308,$lineas,308,$lh);
		$pdf->line(343,$lineas,343,$lh);
		$pdf->line(378,$lineas,378,$lh);
		if($j==$tam_pag){
		$pdf->ezNewPage();
		$init=464;
		$lh=475;
		$j=0;
		$tam_pag=20;
							   //('imagen','left/rigth','top/botton','width','heigth')
	// IMAGEN IZQUIERDA //
	$pdf->addJpegFromFile($img_logo,235,550,138,29);
	// IMAGEN DERECHA //
	$pdf->addJpegFromFile($img_logo,660,550,138,29);
	$titulo1='manifiesto No. '.$manifiesto; 
	$titulo2='ENTREGADA A:'.$plan[0].' ('.$plan[1].') ';
	$titulo3='CANTIDAD: '.$cantguias[0];
	$titulo4='FECHA: '.$fecha[1];
	$titulo6='CIUDAD: '.$plan[2];
	$titulo7="RELACION DE GUIAS DEPARTAMENTO OPERACIONES";
	$pdf->ezText('',12,array('justification'=>'left'));
	// manifiesto IZQUIERDA //
	$pdf->addtext(30,565,14,$titulo1,360,0);
	$pdf->addtext(30,550,10,$titulo2,360,0);
	$pdf->addtext(30,540,10,$titulo4,360,0);
	$pdf->addtext(30,530,10,$titulo6,360,0);
	$pdf->addtext(30,520,10,$titulo3,360,0);
	$pdf->addtext(45,494,12,$titulo7,360,0);
	
	// manifiesto DERECHA //
	$pdf->addtext(435,565,14,$titulo1,360,0);
	$pdf->addtext(435,550,10,$titulo2,360,0);
	$pdf->addtext(435,540,10,$titulo4,360,0);
	$pdf->addtext(435,530,10,$titulo6,360,0);
	$pdf->addtext(435,520,10,$titulo3,360,0);
	$pdf->addtext(440,494,12,$titulo7,360,0);
	
	$pdf->rectangle (433,475,350,15);
	$pdf->rectangle (28,475,350,15);
	$campo1="COD CLI";
	$campo2="NOMBRE CLIENTE";
	$campo3="ORDEN";
	$campo4="PRODUCTO";
	$campo5="N GUIAS";
	$campo6="ENT";
	$campo7="DEV";
	
	// CAMPO CODIGO CLIENTE //
	$pdf->line(473,490,473,475);
	$pdf->addtext(436,479,8,$campo1,360,0);
	$pdf->line(68,490,68,475);
	$pdf->addtext(30,479,8,$campo1,360,0);
	
	// CAMPO NOMBRE CLIENTE //
	$pdf->line(558,490,558,475);
	$pdf->addtext(478,479,8,$campo2,360,0);
	$pdf->line(153,490,153,475);
	$pdf->addtext(73,479,8,$campo2,360,0);
	
	// CAMPO ORDEN //
	$pdf->line(595,490,595,475);
	$pdf->addtext(582,459,8,$campo3,360,0);
	$pdf->line(192,490,192,475);
	$pdf->addtext(158,479,8,$campo3,360,0);
	
	// CAMPO PRODUCTO //
	$pdf->line(670,490,670,475);
	$pdf->addtext(600,479,8,$campo4,360,0);
	$pdf->line(267,490,267,475);
	$pdf->addtext(196,479,8,$campo4,360,0);
	
	// CAMPO NUMERO DE GUIA //
	$pdf->line(710,490,710,475);
	$pdf->addtext(673,479,8,$campo5,360,0);
	$pdf->line(308,490,308,475);
	$pdf->addtext(270,479,8,$campo5,360,0);
	
	
	$pdf->line(745,490,745,475);
	$pdf->addtext(720,479,8,$campo6,360,0);
	$pdf->line(343,490,343,475);
	$pdf->addtext(318,479,8,$campo6,360,0);
	
	//$pdf->line(563,490,563,475);
	$pdf->addtext(755,479,8,$campo7,360,0);
	$pdf->addtext(323,479,8,$campo7,360,0);
		//$lineas=575;
		//$pdf->line(453,$lh,802,$lh);
		//$pdf->line(28,$lh,378,$lh);
		//$new='manifiesto No. ';
		//$pdf->addtext(30,575,14,$new,360,0);
		}
		$mostrar[$i]["COD CLI"]=$datos[0];
		$pdf->addtext(445,$init,8,$datos[0],360,0);
		$pdf->addtext(39,$init,8,$datos[0],360,0);
		$mostrar[$i]["NOMBRE CLIENTE"]=$datos[1];
		$nombre=$datos[1];
		$nombre=strtolower($nombre);
		$tam=strlen($nombre);
		if($tam>15){
		$nombre = substr($datos[1],0,15);
		}
		$pdf->addtext(478,$init,8,$nombre,360,0);
		$pdf->addtext(73,$init,8,$nombre,360,0);
		$mostrar[$i]["ORDEN"]=$datos[2];
		$pdf->addtext(562,$init,8,$datos[2],360,0);
		$pdf->addtext(158,$init,8,$datos[2],360,0);// strtolower
		$mostrar[$i]["PRODUCTO"]=$datos[3];
		$producto=$datos[3];
		$tam=strlen($producto);
		$producto=strtolower($producto);
		if($tam>15){
		$producto = substr($datos[3],0,15);
		}
		$pdf->addtext(600,$init,8,$producto,360,0);
		$pdf->addtext(196,$init,8,$producto,360,0);
		$mostrar[$i]["N GUIAS"]=$datos[4];
		$pdf->addtext(681,$init,8,$datos[4],360,0);
		$pdf->addtext(278,$init,8,$datos[4],360,0);
		$mostrar[$i]["  ENT  "]='';
		$mostrar[$i]["  DEV  "]='';
		$total_guias=$total_guias+$valor;
		$i=$i+1;
		$total_guias=$total_guias+$valor;
		$init=$init-15;
		$lh=$lh-15;
		$pdf->line(433,$lh,782,$lh);
		$pdf->line(28,$lh,378,$lh);
		
		
		$j++;
		}
		// RIGTH LINES //
		$pdf->line(433,$lineas,433,$lh);
		$pdf->line(473,$lineas,473,$lh);
		$pdf->line(558,$lineas,558,$lh);
		$pdf->line(595,$lineas,595,$lh);
		$pdf->line(670,$lineas,670,$lh-15);
		$pdf->line(710,$lineas,710,$lh-15);
		$pdf->line(745,$lineas,745,$lh-15);
		$pdf->line(783,$lineas,783,$lh);
		
		// LEFT LINES //
		$pdf->line(28,$lineas,28,$lh);
		$pdf->line(68,$lineas,68,$lh);
		$pdf->line(153,$lineas,153,$lh);
		$pdf->line(192,$lineas,192,$lh);
		$pdf->line(267,$lineas,267,$lh-15);
		$pdf->line(308,$lineas,308,$lh-15);
		$pdf->line(343,$lineas,343,$lh-15);
		$pdf->line(378,$lineas,378,$lh);
		
	//$pdf->ezTable($mostrar,'','RELACION DE GUIAS',array('fontSize'=>8),205,600);
	//echo "Veamos";
	//$pdf->ezText('',6,array('justification'=>'left'));
	$SQL_nota="select nota1, nota2, nota3, nota4 from notas";
	$bd_nota = new DB();
	$bd_nota->query($SQL_nota);
	$nota=$bd_nota->getfila($SQL_nota);
	$nota1='NOTAS: '.$nota[0];
	$nota2=$nota[1];
	$nota3=$nota[2];
	$nota4=$nota[3];
	$total='TOTAL: ';
	$cantidad_g=$cantguias[0];
	$pdf->rectangle (192,$init-4,186,15);
	$pdf->rectangle (595,$init-4,188,15);
	$pdf->addtext(205,$init,10,$total,360,0);
	$pdf->addtext(278,$init,10,$cantidad_g,360,0);
	$pdf->addtext(609,$init,10,$total,360,0);
	$pdf->addtext(681,$init,10,$cantidad_g,360,0);
	// NOTES RIGTH SIDE //
	$pdf->addtext(433,$init-20,6,$nota1,360,0);
	$pdf->addtext(458,$init-30,6,$nota2,360,0);
	$pdf->addtext(458,$init-40,6,$nota3,360,0);
	$pdf->addtext(458,$init-50,6,$nota4,360,0);
	// NOTES LEFT SIDE //
	$pdf->addtext(28,$init-20,6,$nota1,360,0);
	$pdf->addtext(53,$init-30,6,$nota2,360,0);
	$pdf->addtext(53,$init-40,6,$nota3,360,0);
	$pdf->addtext(53,$init-50,6,$nota4,360,0);
	$pie_1="SUPERVISOR";
	$pie_2="MENSAJERO";
	$pdf->line(435,60,555,60);
	$pdf->addtext(460,45,10,$pie_1,360,0);
	$pdf->line(640,60,780,60);
	$pdf->addtext(681,45,10,$pie_2,360,0);
	$pdf->line(30,60,150,60);
	$pdf->addtext(55,45,10,$pie_1,360,0);
	$pdf->line(260,60,380,60);
	$pdf->addtext(285,45,10,$pie_2,360,0);
	//$pdf->ezText($nota,6,array('justification'=>'left'));
	$pdf->ezStream();
	}
	/*$pag=$pag+1;
	$pdf->addtext(30,578,14,$pag,360,0);
	
	}*/
}
else
{
echo '<BR><BR><BR><BR><div class="alertas" align="center"> OPERACION NO VALIDA!!<BR>SALGA DEL APLICATIVO <BR>Y VUELVA A IDENTIFICARSE NUEVAMENTE</div>';
}
?>

